Saltar al contenido principal
Version: 5.x

pnpm update

Alias: up

pnpm update actualiza los paquetes a su última versión basado en el rango especificado.

Cuando se usa sin argumentos, actualiza todas las dependencias. Puedes usar patrones para actualizar dependencias específicas.

TL;DR

ComandoSignificado
pnpm upActualiza todas las dependencias, adhiriéndose a los rangos especificados en elpackage.json
pnpm up --latestUpdates all dependencies, ignoring ranges specified in package.json
pnpm up foo@2Updates foo to the latest version on v2
pnpm up "@babel/*"Updates all dependencies under the @babel scope

Options

--recursive, -r

Concurrently runs update in all subdirectories with a package.json (excluding node_modules).

Ejemplos de uso:

pnpm --recursive update
# updates all packages up to 100 subdirectories in depth
pnpm --recursive update --depth 100
# update typescript to the latest version in every package
pnpm --recursive update typescript@latest

--latest, -L

Añadido en: v3.2.0

Ignora el rango de versiones especificado en el package.json. En su lugar, se utilizará la versión especificada por la última etiqueta (potencialmente actualizando los paquetes a través de las versiones principales).

--global

Actualizar paquetes globales.

--workspace

Añadido en: v4.4.0

Tries to link all packages from the workspace. Versions are updated to match the versions of packages inside the workspace.

If specific packages are updated, the command will fail if any of the updated dependencies are not found inside the workspace. For instance, the following command fails if express is not a workspace package: pnpm up -r --workspace express.

--prod, -P

Only update packages in dependencies and optionalDependencies.

--dev, -D

Only update packages in devDependencies.

--no-optional

Don't update packages in optionalDependencies.

--interactive, -i

Added in: v4.8.0

Show outdated dependencies and select which ones to update.

--filter <package_selector>

Read more about filtering.